<html>
<head>
<title>Ogre::D3D11Mappings Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1D3D11Mappings.html">D3D11Mappings</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::D3D11Mappings Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::D3D11Mappings" -->
<p><code>#include &lt;<a class="el" href="OgreD3D11Mappings_8h_source.html">OgreD3D11Mappings.h</a>&gt;</code></p>

<p><a href="classOgre_1_1D3D11Mappings-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Mappings.html#affe6a6229c9ac9a5741f226951c6c5a2">eD3DFilterUsage</a> { <a class="el" href="classOgre_1_1D3D11Mappings.html#affe6a6229c9ac9a5741f226951c6c5a2a744e5744f3131627a253fd7958ba7a47">D3D_FUSAGE_MIN</a>, 
<a class="el" href="classOgre_1_1D3D11Mappings.html#affe6a6229c9ac9a5741f226951c6c5a2a4615a750d73c72f12fa38ea7780cb134">D3D_FUSAGE_MAG</a>, 
<a class="el" href="classOgre_1_1D3D11Mappings.html#affe6a6229c9ac9a5741f226951c6c5a2af5f2668415d453503805a156688b949c">D3D_FUSAGE_MIP</a>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">enum identifying D3D11 filter usage type  <a href="classOgre_1_1D3D11Mappings.html#affe6a6229c9ac9a5741f226951c6c5a2">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static D3D11_TEXTURE_ADDRESS_MODE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Mappings.html#aea531177eb5efe4b2fcc6969d017adcd">get</a> (<a class="el" href="classOgre_1_1TextureUnitState.html#a47c5a9f4fc08159b99bdc51103bcf852">TextureUnitState::TextureAddressingMode</a> tam)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">return a D3D11 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> ShadeOptions value  <a href="#aea531177eb5efe4b2fcc6969d017adcd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static D3D11_BLEND&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Mappings.html#a0c628b147aa8eb2ef9fe23fb9f57903f">get</a> (<a class="el" href="group__Materials.html#ga1ae5925d36df27a6c3590536752264f8">LayerBlendType</a> lbt)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">return a D3D11 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> LayerBlendType value  <a href="#a0c628b147aa8eb2ef9fe23fb9f57903f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static D3D11_BLEND&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Mappings.html#aeb4c26a1f2d79c38bec93e458d0d307f">get</a> (<a class="el" href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213">SceneBlendFactor</a> sbf)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">return a D3D11 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> LayerBlendOperationEx value  <a href="#aeb4c26a1f2d79c38bec93e458d0d307f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static D3D11_COMPARISON_FUNC&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Mappings.html#a9f4ffe43f244cddf68dfdce320b41508">get</a> (<a class="el" href="group__General.html#ga0212b4eb264f207d84c1df9425208c7a">CompareFunction</a> cf)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">return a D3D11 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> CompareFunction value  <a href="#a9f4ffe43f244cddf68dfdce320b41508"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static D3D11_CULL_MODE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Mappings.html#afd2a1465685ed57aa232e46c96914966">get</a> (<a class="el" href="group__General.html#gac173244ed7d950d0acd726e4f323ecdb">CullingMode</a> cm, bool flip=false)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">return a D3D11 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> CillingMode value  <a href="#afd2a1465685ed57aa232e46c96914966"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static D3D11_FILL_MODE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Mappings.html#a31eb0a4af0ac789094bbd23538fb4ef8">get</a> (<a class="el" href="group__General.html#ga68866b02aa7f99e3431337511fbb3345">PolygonMode</a> level)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">return a D3D11 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> FogMode value  <a href="#a31eb0a4af0ac789094bbd23538fb4ef8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static D3D11_STENCIL_OP&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Mappings.html#a9ce743951b99e5e5b9cd87c26c9ea8dd">get</a> (<a class="el" href="group__RenderSystem.html#gae8bb1cb809660de802d1d592ba4adb61">StencilOperation</a> op, bool invert=false)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">return a D3D11 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> StencilOperation value  <a href="#a9ce743951b99e5e5b9cd87c26c9ea8dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static DWORD&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Mappings.html#a720bb0786506aa11de501a6a92ac0be2">get</a> (<a class="el" href="group__General.html#gac1fc36ec2f4df4b2afa9fa39f9c66c06">FilterType</a> ft)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">return a D3D11 state type for <a class="el" href="namespaceOgre.html">Ogre</a> FilterType value  <a href="#a720bb0786506aa11de501a6a92ac0be2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static D3D11_FILTER&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Mappings.html#a6973fae3ecdddd729fc70ab3b5682c8a">get</a> (const <a class="el" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d">FilterOptions</a> minification, const <a class="el" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d">FilterOptions</a> magnification, const <a class="el" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d">FilterOptions</a> mips, const bool comparison=false)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static DWORD&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Mappings.html#a1946cf1448baf0cf3a5a20a87e1c7355">get</a> (<a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">HardwareBuffer::Usage</a> usage)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">return the combination of D3DUSAGE values for <a class="el" href="namespaceOgre.html">Ogre</a> buffer usage  <a href="#a1946cf1448baf0cf3a5a20a87e1c7355"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static D3D11_MAP&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Mappings.html#a2fe88733912a5f59cb22a398bad297a6">get</a> (<a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">HardwareBuffer::LockOptions</a> options, <a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">HardwareBuffer::Usage</a> usage)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get lock options.  <a href="#a2fe88733912a5f59cb22a398bad297a6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static DXGI_FORMAT&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Mappings.html#a7a5a658549befe43f38a54b50d24f0e9">get</a> (<a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a25ba4923e015d46de162f7cc4c256326">HardwareIndexBuffer::IndexType</a> itype)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get index type.  <a href="#a7a5a658549befe43f38a54b50d24f0e9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static UINT&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Mappings.html#a3bea16653ed57e3f719f4f963d729cec">getByteWidth</a> (<a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a25ba4923e015d46de162f7cc4c256326">HardwareIndexBuffer::IndexType</a> itype)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static DXGI_FORMAT&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Mappings.html#a57b0e0180ee399c117ef74c89178e314">getFormat</a> (<a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a25ba4923e015d46de162f7cc4c256326">HardwareIndexBuffer::IndexType</a> itype)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static DXGI_FORMAT&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Mappings.html#a554268f368a29172df83378245285756">get</a> (<a class="el" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">VertexElementType</a> vType)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get vertex data type.  <a href="#a554268f368a29172df83378245285756"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static LPCSTR&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Mappings.html#acfba27781beca56aa6de52c32f0ffa86">get</a> (<a class="el" href="group__RenderSystem.html#ga0a62b3f2ede8992ff365bb013a8bc00d">VertexElementSemantic</a> sem)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get vertex semantic.  <a href="#acfba27781beca56aa6de52c32f0ffa86"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RenderSystem.html#ga0a62b3f2ede8992ff365bb013a8bc00d">VertexElementSemantic</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Mappings.html#aca0490de1bc9d2fd45bcf08d2341ad8d">get</a> (LPCSTR sem)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Mappings.html#a343356c46d869d2da7f4b0bd042d6089">get</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;inColour, float *outColour)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get dx11 color.  <a href="#a343356c46d869d2da7f4b0bd042d6089"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Mappings.html#a1e1034b38884e366d2602a5f38081e6a">_getPF</a> (DXGI_FORMAT d3dPF)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">utility method, convert D3D11 pixel format to <a class="el" href="namespaceOgre.html">Ogre</a> pixel format  <a href="#a1e1034b38884e366d2602a5f38081e6a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static DXGI_FORMAT&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Mappings.html#a19dd9cc710d8836257c201952ad236f4">_getPF</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> ogrePF)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">utility method, convert <a class="el" href="namespaceOgre.html">Ogre</a> pixel format to D3D11 pixel format  <a href="#a19dd9cc710d8836257c201952ad236f4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static D3D11_USAGE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Mappings.html#abbceae8274ddd46b149427f0d1e88167">_getUsage</a> (<a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">HardwareBuffer::Usage</a> mUsage)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static D3D11_USAGE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Mappings.html#a969ecedfb8b0295aabae1a8f49219f25">_getUsage</a> (int mUsage)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static UINT&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Mappings.html#a5815702c66f71a3b8d1035deb05dbdd7">_getAccessFlags</a> (<a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">HardwareBuffer::Usage</a> mUsage)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static UINT&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Mappings.html#a3e25d47f5432ca3bc34fadc59f452bc3">_getAccessFlags</a> (int mUsage)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Mappings.html#aaf06fa4183eee9505f9997c72b84127f">_isDynamic</a> (<a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">HardwareBuffer::Usage</a> mUsage)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Mappings.html#a8325051f47ecd4aaad504a54234b1108">_getClosestSupportedPF</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> ogrePF)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">utility method, find closest <a class="el" href="namespaceOgre.html">Ogre</a> pixel format that D3D11 can support  <a href="#a8325051f47ecd4aaad504a54234b1108"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreD3D11Mappings_8h_source.html#l00037">37</a> of file <a class="el" href="OgreD3D11Mappings_8h_source.html">OgreD3D11Mappings.h</a>.</p>
</div><hr/><h2>Member Enumeration Documentation</h2>
<a class="anchor" id="affe6a6229c9ac9a5741f226951c6c5a2"></a><!-- doxytag: member="Ogre::D3D11Mappings::eD3DFilterUsage" ref="affe6a6229c9ac9a5741f226951c6c5a2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1D3D11Mappings.html#affe6a6229c9ac9a5741f226951c6c5a2">Ogre::D3D11Mappings::eD3DFilterUsage</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>enum identifying D3D11 filter usage type </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="affe6a6229c9ac9a5741f226951c6c5a2a744e5744f3131627a253fd7958ba7a47"></a><!-- doxytag: member="D3D_FUSAGE_MIN" ref="affe6a6229c9ac9a5741f226951c6c5a2a744e5744f3131627a253fd7958ba7a47" args="" -->D3D_FUSAGE_MIN</em>&nbsp;</td><td>
<p>min filter </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="affe6a6229c9ac9a5741f226951c6c5a2a4615a750d73c72f12fa38ea7780cb134"></a><!-- doxytag: member="D3D_FUSAGE_MAG" ref="affe6a6229c9ac9a5741f226951c6c5a2a4615a750d73c72f12fa38ea7780cb134" args="" -->D3D_FUSAGE_MAG</em>&nbsp;</td><td>
<p>mag filter </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="affe6a6229c9ac9a5741f226951c6c5a2af5f2668415d453503805a156688b949c"></a><!-- doxytag: member="D3D_FUSAGE_MIP" ref="affe6a6229c9ac9a5741f226951c6c5a2af5f2668415d453503805a156688b949c" args="" -->D3D_FUSAGE_MIP</em>&nbsp;</td><td>
<p>mip filter </p>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreD3D11Mappings_8h_source.html#l00042">42</a> of file <a class="el" href="OgreD3D11Mappings_8h_source.html">OgreD3D11Mappings.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a5815702c66f71a3b8d1035deb05dbdd7"></a><!-- doxytag: member="Ogre::D3D11Mappings::_getAccessFlags" ref="a5815702c66f71a3b8d1035deb05dbdd7" args="(HardwareBuffer::Usage mUsage)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static UINT <a class="el" href="classOgre_1_1D3D11Mappings.html#a5815702c66f71a3b8d1035deb05dbdd7">Ogre::D3D11Mappings::_getAccessFlags</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">HardwareBuffer::Usage</a>&#160;</td>
          <td class="paramname"><em>mUsage</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a3e25d47f5432ca3bc34fadc59f452bc3"></a><!-- doxytag: member="Ogre::D3D11Mappings::_getAccessFlags" ref="a3e25d47f5432ca3bc34fadc59f452bc3" args="(int mUsage)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static UINT <a class="el" href="classOgre_1_1D3D11Mappings.html#a5815702c66f71a3b8d1035deb05dbdd7">Ogre::D3D11Mappings::_getAccessFlags</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mUsage</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a8325051f47ecd4aaad504a54234b1108"></a><!-- doxytag: member="Ogre::D3D11Mappings::_getClosestSupportedPF" ref="a8325051f47ecd4aaad504a54234b1108" args="(PixelFormat ogrePF)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> <a class="el" href="classOgre_1_1D3D11Mappings.html#a8325051f47ecd4aaad504a54234b1108">Ogre::D3D11Mappings::_getClosestSupportedPF</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>ogrePF</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>utility method, find closest <a class="el" href="namespaceOgre.html">Ogre</a> pixel format that D3D11 can support </p>

</div>
</div>
<a class="anchor" id="a1e1034b38884e366d2602a5f38081e6a"></a><!-- doxytag: member="Ogre::D3D11Mappings::_getPF" ref="a1e1034b38884e366d2602a5f38081e6a" args="(DXGI_FORMAT d3dPF)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> <a class="el" href="classOgre_1_1D3D11Mappings.html#a1e1034b38884e366d2602a5f38081e6a">Ogre::D3D11Mappings::_getPF</a> </td>
          <td>(</td>
          <td class="paramtype">DXGI_FORMAT&#160;</td>
          <td class="paramname"><em>d3dPF</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>utility method, convert D3D11 pixel format to <a class="el" href="namespaceOgre.html">Ogre</a> pixel format </p>

</div>
</div>
<a class="anchor" id="a19dd9cc710d8836257c201952ad236f4"></a><!-- doxytag: member="Ogre::D3D11Mappings::_getPF" ref="a19dd9cc710d8836257c201952ad236f4" args="(PixelFormat ogrePF)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static DXGI_FORMAT <a class="el" href="classOgre_1_1D3D11Mappings.html#a1e1034b38884e366d2602a5f38081e6a">Ogre::D3D11Mappings::_getPF</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>ogrePF</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>utility method, convert <a class="el" href="namespaceOgre.html">Ogre</a> pixel format to D3D11 pixel format </p>

</div>
</div>
<a class="anchor" id="abbceae8274ddd46b149427f0d1e88167"></a><!-- doxytag: member="Ogre::D3D11Mappings::_getUsage" ref="abbceae8274ddd46b149427f0d1e88167" args="(HardwareBuffer::Usage mUsage)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static D3D11_USAGE <a class="el" href="classOgre_1_1D3D11Mappings.html#abbceae8274ddd46b149427f0d1e88167">Ogre::D3D11Mappings::_getUsage</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">HardwareBuffer::Usage</a>&#160;</td>
          <td class="paramname"><em>mUsage</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a969ecedfb8b0295aabae1a8f49219f25"></a><!-- doxytag: member="Ogre::D3D11Mappings::_getUsage" ref="a969ecedfb8b0295aabae1a8f49219f25" args="(int mUsage)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static D3D11_USAGE <a class="el" href="classOgre_1_1D3D11Mappings.html#abbceae8274ddd46b149427f0d1e88167">Ogre::D3D11Mappings::_getUsage</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mUsage</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aaf06fa4183eee9505f9997c72b84127f"></a><!-- doxytag: member="Ogre::D3D11Mappings::_isDynamic" ref="aaf06fa4183eee9505f9997c72b84127f" args="(HardwareBuffer::Usage mUsage)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1D3D11Mappings.html#aaf06fa4183eee9505f9997c72b84127f">Ogre::D3D11Mappings::_isDynamic</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">HardwareBuffer::Usage</a>&#160;</td>
          <td class="paramname"><em>mUsage</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aea531177eb5efe4b2fcc6969d017adcd"></a><!-- doxytag: member="Ogre::D3D11Mappings::get" ref="aea531177eb5efe4b2fcc6969d017adcd" args="(TextureUnitState::TextureAddressingMode tam)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static D3D11_TEXTURE_ADDRESS_MODE <a class="el" href="classOgre_1_1D3D11Mappings.html#aea531177eb5efe4b2fcc6969d017adcd">Ogre::D3D11Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1TextureUnitState.html#a47c5a9f4fc08159b99bdc51103bcf852">TextureUnitState::TextureAddressingMode</a>&#160;</td>
          <td class="paramname"><em>tam</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>return a D3D11 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> ShadeOptions value </p>
<p>return a D3D11 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> LightTypes value return a D3D11 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> TexCoordCalsMethod value return a D3D11 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> TextureAddressingMode value </p>

</div>
</div>
<a class="anchor" id="a0c628b147aa8eb2ef9fe23fb9f57903f"></a><!-- doxytag: member="Ogre::D3D11Mappings::get" ref="a0c628b147aa8eb2ef9fe23fb9f57903f" args="(LayerBlendType lbt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static D3D11_BLEND <a class="el" href="classOgre_1_1D3D11Mappings.html#aea531177eb5efe4b2fcc6969d017adcd">Ogre::D3D11Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Materials.html#ga1ae5925d36df27a6c3590536752264f8">LayerBlendType</a>&#160;</td>
          <td class="paramname"><em>lbt</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>return a D3D11 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> LayerBlendType value </p>

</div>
</div>
<a class="anchor" id="aeb4c26a1f2d79c38bec93e458d0d307f"></a><!-- doxytag: member="Ogre::D3D11Mappings::get" ref="aeb4c26a1f2d79c38bec93e458d0d307f" args="(SceneBlendFactor sbf)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static D3D11_BLEND <a class="el" href="classOgre_1_1D3D11Mappings.html#aea531177eb5efe4b2fcc6969d017adcd">Ogre::D3D11Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213">SceneBlendFactor</a>&#160;</td>
          <td class="paramname"><em>sbf</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>return a D3D11 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> LayerBlendOperationEx value </p>
<p>return a D3D11 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> LayerBlendSource value return a D3D11 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> SceneBlendFactor value </p>

</div>
</div>
<a class="anchor" id="a9f4ffe43f244cddf68dfdce320b41508"></a><!-- doxytag: member="Ogre::D3D11Mappings::get" ref="a9f4ffe43f244cddf68dfdce320b41508" args="(CompareFunction cf)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static D3D11_COMPARISON_FUNC <a class="el" href="classOgre_1_1D3D11Mappings.html#aea531177eb5efe4b2fcc6969d017adcd">Ogre::D3D11Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__General.html#ga0212b4eb264f207d84c1df9425208c7a">CompareFunction</a>&#160;</td>
          <td class="paramname"><em>cf</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>return a D3D11 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> CompareFunction value </p>

</div>
</div>
<a class="anchor" id="afd2a1465685ed57aa232e46c96914966"></a><!-- doxytag: member="Ogre::D3D11Mappings::get" ref="afd2a1465685ed57aa232e46c96914966" args="(CullingMode cm, bool flip=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static D3D11_CULL_MODE <a class="el" href="classOgre_1_1D3D11Mappings.html#aea531177eb5efe4b2fcc6969d017adcd">Ogre::D3D11Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__General.html#gac173244ed7d950d0acd726e4f323ecdb">CullingMode</a>&#160;</td>
          <td class="paramname"><em>cm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>flip</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>return a D3D11 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> CillingMode value </p>

</div>
</div>
<a class="anchor" id="a31eb0a4af0ac789094bbd23538fb4ef8"></a><!-- doxytag: member="Ogre::D3D11Mappings::get" ref="a31eb0a4af0ac789094bbd23538fb4ef8" args="(PolygonMode level)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static D3D11_FILL_MODE <a class="el" href="classOgre_1_1D3D11Mappings.html#aea531177eb5efe4b2fcc6969d017adcd">Ogre::D3D11Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__General.html#ga68866b02aa7f99e3431337511fbb3345">PolygonMode</a>&#160;</td>
          <td class="paramname"><em>level</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>return a D3D11 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> FogMode value </p>
<p>return a D3D11 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> PolygonMode value </p>

</div>
</div>
<a class="anchor" id="a9ce743951b99e5e5b9cd87c26c9ea8dd"></a><!-- doxytag: member="Ogre::D3D11Mappings::get" ref="a9ce743951b99e5e5b9cd87c26c9ea8dd" args="(StencilOperation op, bool invert=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static D3D11_STENCIL_OP <a class="el" href="classOgre_1_1D3D11Mappings.html#aea531177eb5efe4b2fcc6969d017adcd">Ogre::D3D11Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__RenderSystem.html#gae8bb1cb809660de802d1d592ba4adb61">StencilOperation</a>&#160;</td>
          <td class="paramname"><em>op</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>invert</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>return a D3D11 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> StencilOperation value </p>

</div>
</div>
<a class="anchor" id="a720bb0786506aa11de501a6a92ac0be2"></a><!-- doxytag: member="Ogre::D3D11Mappings::get" ref="a720bb0786506aa11de501a6a92ac0be2" args="(FilterType ft)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static DWORD <a class="el" href="classOgre_1_1D3D11Mappings.html#aea531177eb5efe4b2fcc6969d017adcd">Ogre::D3D11Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__General.html#gac1fc36ec2f4df4b2afa9fa39f9c66c06">FilterType</a>&#160;</td>
          <td class="paramname"><em>ft</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>return a D3D11 state type for <a class="el" href="namespaceOgre.html">Ogre</a> FilterType value </p>

</div>
</div>
<a class="anchor" id="a6973fae3ecdddd729fc70ab3b5682c8a"></a><!-- doxytag: member="Ogre::D3D11Mappings::get" ref="a6973fae3ecdddd729fc70ab3b5682c8a" args="(const FilterOptions minification, const FilterOptions magnification, const FilterOptions mips, const bool comparison=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static D3D11_FILTER <a class="el" href="classOgre_1_1D3D11Mappings.html#aea531177eb5efe4b2fcc6969d017adcd">Ogre::D3D11Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d">FilterOptions</a>&#160;</td>
          <td class="paramname"><em>minification</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d">FilterOptions</a>&#160;</td>
          <td class="paramname"><em>magnification</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d">FilterOptions</a>&#160;</td>
          <td class="paramname"><em>mips</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const bool&#160;</td>
          <td class="paramname"><em>comparison</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a1946cf1448baf0cf3a5a20a87e1c7355"></a><!-- doxytag: member="Ogre::D3D11Mappings::get" ref="a1946cf1448baf0cf3a5a20a87e1c7355" args="(HardwareBuffer::Usage usage)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static DWORD <a class="el" href="classOgre_1_1D3D11Mappings.html#aea531177eb5efe4b2fcc6969d017adcd">Ogre::D3D11Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">HardwareBuffer::Usage</a>&#160;</td>
          <td class="paramname"><em>usage</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>return the combination of D3DUSAGE values for <a class="el" href="namespaceOgre.html">Ogre</a> buffer usage </p>

</div>
</div>
<a class="anchor" id="a2fe88733912a5f59cb22a398bad297a6"></a><!-- doxytag: member="Ogre::D3D11Mappings::get" ref="a2fe88733912a5f59cb22a398bad297a6" args="(HardwareBuffer::LockOptions options, HardwareBuffer::Usage usage)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static D3D11_MAP <a class="el" href="classOgre_1_1D3D11Mappings.html#aea531177eb5efe4b2fcc6969d017adcd">Ogre::D3D11Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">HardwareBuffer::LockOptions</a>&#160;</td>
          <td class="paramname"><em>options</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">HardwareBuffer::Usage</a>&#160;</td>
          <td class="paramname"><em>usage</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get lock options. </p>

</div>
</div>
<a class="anchor" id="a7a5a658549befe43f38a54b50d24f0e9"></a><!-- doxytag: member="Ogre::D3D11Mappings::get" ref="a7a5a658549befe43f38a54b50d24f0e9" args="(HardwareIndexBuffer::IndexType itype)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static DXGI_FORMAT <a class="el" href="classOgre_1_1D3D11Mappings.html#aea531177eb5efe4b2fcc6969d017adcd">Ogre::D3D11Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a25ba4923e015d46de162f7cc4c256326">HardwareIndexBuffer::IndexType</a>&#160;</td>
          <td class="paramname"><em>itype</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get index type. </p>

</div>
</div>
<a class="anchor" id="a554268f368a29172df83378245285756"></a><!-- doxytag: member="Ogre::D3D11Mappings::get" ref="a554268f368a29172df83378245285756" args="(VertexElementType vType)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static DXGI_FORMAT <a class="el" href="classOgre_1_1D3D11Mappings.html#aea531177eb5efe4b2fcc6969d017adcd">Ogre::D3D11Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">VertexElementType</a>&#160;</td>
          <td class="paramname"><em>vType</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get vertex data type. </p>

</div>
</div>
<a class="anchor" id="acfba27781beca56aa6de52c32f0ffa86"></a><!-- doxytag: member="Ogre::D3D11Mappings::get" ref="acfba27781beca56aa6de52c32f0ffa86" args="(VertexElementSemantic sem)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static LPCSTR <a class="el" href="classOgre_1_1D3D11Mappings.html#aea531177eb5efe4b2fcc6969d017adcd">Ogre::D3D11Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__RenderSystem.html#ga0a62b3f2ede8992ff365bb013a8bc00d">VertexElementSemantic</a>&#160;</td>
          <td class="paramname"><em>sem</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get vertex semantic. </p>

</div>
</div>
<a class="anchor" id="aca0490de1bc9d2fd45bcf08d2341ad8d"></a><!-- doxytag: member="Ogre::D3D11Mappings::get" ref="aca0490de1bc9d2fd45bcf08d2341ad8d" args="(LPCSTR sem)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RenderSystem.html#ga0a62b3f2ede8992ff365bb013a8bc00d">VertexElementSemantic</a> <a class="el" href="classOgre_1_1D3D11Mappings.html#aea531177eb5efe4b2fcc6969d017adcd">Ogre::D3D11Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype">LPCSTR&#160;</td>
          <td class="paramname"><em>sem</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a343356c46d869d2da7f4b0bd042d6089"></a><!-- doxytag: member="Ogre::D3D11Mappings::get" ref="a343356c46d869d2da7f4b0bd042d6089" args="(const ColourValue &amp;inColour, float *outColour)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1D3D11Mappings.html#aea531177eb5efe4b2fcc6969d017adcd">Ogre::D3D11Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&#160;</td>
          <td class="paramname"><em>inColour</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>outColour</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get dx11 color. </p>

</div>
</div>
<a class="anchor" id="a3bea16653ed57e3f719f4f963d729cec"></a><!-- doxytag: member="Ogre::D3D11Mappings::getByteWidth" ref="a3bea16653ed57e3f719f4f963d729cec" args="(HardwareIndexBuffer::IndexType itype)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static UINT <a class="el" href="classOgre_1_1D3D11Mappings.html#a3bea16653ed57e3f719f4f963d729cec">Ogre::D3D11Mappings::getByteWidth</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a25ba4923e015d46de162f7cc4c256326">HardwareIndexBuffer::IndexType</a>&#160;</td>
          <td class="paramname"><em>itype</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a57b0e0180ee399c117ef74c89178e314"></a><!-- doxytag: member="Ogre::D3D11Mappings::getFormat" ref="a57b0e0180ee399c117ef74c89178e314" args="(HardwareIndexBuffer::IndexType itype)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static DXGI_FORMAT <a class="el" href="classOgre_1_1D3D11Mappings.html#a57b0e0180ee399c117ef74c89178e314">Ogre::D3D11Mappings::getFormat</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a25ba4923e015d46de162f7cc4c256326">HardwareIndexBuffer::IndexType</a>&#160;</td>
          <td class="paramname"><em>itype</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreD3D11Mappings_8h_source.html">OgreD3D11Mappings.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:13
</p>
</body>
</html>
